#include <bits/stdc++.h>

using namespace std;

#define ll long long

void solve()
{
	// cout<<(1<<20)*40<<endl;
	ll n,m,g;
	cin>>n>>m>>g;
	cout<<m-(n)<<endl;
	cout<<1<<endl;
	// if(g==1 or g==2)
	// {
	// 	// Brute-Force O(2^m * (n+m))

	// }
	// else
	// {

	// }
}

int main()
{
	ios::sync_with_stdio(0);
	cin.tie(0);
	cout.tie(0);
	int t=1;
	// cin>>t;
	while(t--)solve();
}